function::set_kernel_string_n
Prev | Chapter 26. String and data writing functions Tapset | Next

## Name

function::set_kernel_string_n — Writes a string of given length to kernel memory

## Synopsis

        set_kernel_string_n(addr:long,n:long,val:string)

## Arguments

`addr`

  The kernel address to write the string to

`n`

  The maximum length of the string

`val`

  The string which is to be written

## Description

Writes the given string up to a maximum given length to a given kernel memory address. Reports an error on string copy fault. Requires the use of guru mode (-g).

Prev | Up | Next
function::set_kernel_string | Home | function::set_user_char